# $Revision: 1.18.2.2 $, $Date: 2006/12/20 12:58:50 $
Summary:	Powerful administration and development platform for the PostgreSQL
Summary(pl):	Potna platforma do administrowania i programowania bazy PostgreSQL
Name:		pgadmin3
Version:	1.4.3
Release:	2
Epoch:		0
License:	Artistic
Group:		Applications/Databases
Source0:	ftp://ftp6.pl.postgresql.org/pub/postgresql/pgadmin3/release/v%{version}/src/%{name}-%{version}.tar.gz
# Source0-md5:	28388816f867cd8723a4c0a460cf26b4
Source1:	%{name}.desktop
URL:		http://www.pgadmin.org/
BuildRequires:	automake
BuildRequires:	openssl-devel
BuildRequires:	postgresql-devel
BuildRequires:	postgresql-backend-devel
BuildRequires:	wxGTK2-unicode-gl-devel >= 2.6.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_pgmoduledir		%{_libdir}/postgresql

%description
pgAdmin III is designed to answer the needs of all users, from writing
simple SQL queries to developing complex databases. The graphical
interface supports all PostgreSQL features and makes administration
easy. The application also includes a query builder, an SQL editor, a
server-side code editor and much more. pgAdmin III is released with an
installer and does not require any additional driver to communicate
with the database server.

%description -l pl
pgAdmin III zosta zaprojektowany jako odpowied na potrzeby
wszystkich uytkownikw, od pisania prostych zapyta SQL do tworzenia
skomplikowanych baz danych. Graficzny interfejs obsuguje wszystkie
moliwoci PostgreSQL-a i uatwia administrowanie. Aplikacja zawiera
take narzdzie do budowania zapyta, edytor SQL, edytor kodu po
stronie serwera i wiele wicej. pgAdmin III zosta wydany z
instalatorem i nie wymaga adnego dodatkowego sterownika do
komunikowania z serwerem baz danych.

%package -n postgresql-module-pgadmin3
Summary:	Full instrumentation when using PgAdmin
Summary(pl):	Pena obsuga dla funkcjonalnoci PgAdmina
Group:		Applications/Databases
Requires:	postgresql >= 8.1

%description -n postgresql-module-pgadmin3
Module which implements a number of support functions which PgAdmin
will use to provide additional functionality if installed on a server.

%description -n postgresql-module-pgadmin3 -l pl
Ten modu implementuje wiele funkcji pomocniczych, ktre uywa PgAdmin
do zapewnienia dodatkowej funkcjonalnoci.

%prep
%setup -q

%build
cp /usr/share/automake/config.sub config
%configure \
	--with-wx-config=wx-gtk2-unicode-config
%{__make}

sed 's#MODULE_PATHNAME#%{_pgmoduledir}/admin81#g' xtra/admin81/admin81.sql.in > xtra/admin81/admin81.sql
%{__cc} %{rpmcflags} -fpic -I. -I%{_includedir}/postgresql/server -c -o xtra/admin81/admin81.o xtra/admin81/admin81.c -MMD
%{__cc} -shared %{rpmldflags} -o xtra/admin81/admin81.so xtra/admin81/admin81.o

%install
rm -rf $RPM_BUILD_ROOT
install -d \
	$RPM_BUILD_ROOT{%{_desktopdir},%{_pixmapsdir},%{_pgmoduledir}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT
install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}
install src/include/images/pgAdmin3.xpm $RPM_BUILD_ROOT%{_pixmapsdir}/pgadmin3.xpm

install xtra/admin81/admin81.so $RPM_BUILD_ROOT%{_pgmoduledir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc LICENCE.txt README.txt
%attr(755,root,root) %{_bindir}/*
%{_datadir}/%{name}
%{_desktopdir}/pgadmin3.desktop
%{_pixmapsdir}/pgadmin3.xpm

%files -n postgresql-module-pgadmin3
%defattr(644,root,root,755)
%doc xtra/admin81/README* xtra/admin81/*.sql
%attr(755,root,root) %{_pgmoduledir}/*.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: pgadmin3.spec,v $
Revision 1.18.2.2  2006/12/20 12:58:50  hawk
- release 2 to rebuild with PostgreSQL 8.2

Revision 1.18.2.1  2006/07/21 10:52:24  psz
- merge from HEAD

Revision 1.19  2006/07/21 10:45:07  psz
- up to 1.4.3
- rel 1

Revision 1.18  2006/03/08 18:15:10  psz
- up to 1.4.2
- rel 1

Revision 1.17  2006/01/31 20:07:01  qboosh
- pl

Revision 1.16  2006/01/31 19:41:02  arekm
- rel 2; add postgresql-module-pgadmin3 module

Revision 1.15  2005/12/21 16:52:11  zawadaa
- up to 1.4.1
- STBR

Revision 1.14  2005/11/16 06:46:18  qboosh
- sorted BRs

Revision 1.13  2005/11/13 12:59:50  arekm
- unneded setup options dropped

Revision 1.12  2005/11/12 18:41:16  arekm
- up to final 1.4.0 (by Patryk Szczygłowski)

Revision 1.11  2005/10/28 12:36:43  zawadaa
- up to 1.4-beta3; beta but very nice

Revision 1.10  2005/09/03 05:32:50  twittner
- added -am_no_debug.patch (removes `-g' from AM_*FLAGS)

Revision 1.9  2005/06/02 17:21:23  qboosh
- unified

Revision 1.8  2005/06/02 16:45:48  zawadaa
- up to 1.2.2
- STBR

Revision 1.7  2005/04/28 19:25:24  qwark
- added patch for wx-2.6

Revision 1.6  2005/04/01 05:20:29  arekm
- up to 1.2.1

Revision 1.5  2005/03/10 18:18:38  wolf
- pass correct wx-config

Revision 1.4  2005/01/24 15:57:18  zawadaa
- amd64 fix
- add .desktop, icon - needs review
- it works :-)

Revision 1.3  2005/01/20 19:03:16  qboosh
- pl, cleanup

Revision 1.2  2005/01/20 09:34:41  radzio
- remove Patch0 (which was not used)

Revision 1.1  2005/01/20 00:53:10  radzio
- great software
- need test
